# eric4.Preferences.ConfigurationPages.ApplicationPage

Module implementing the Application configuration page.

### Classes

ApplicationPage | Class implementing the Application configuration page.

### Functions

create | Module function to create the configuration page.

## ApplicationPage

Class implementing the Application configuration page.

### Derived from

ConfigurationPageBase, Ui_ApplicationPage

### Methods

ApplicationPage | Constructor
on_downloadDirButton_clicked | Private slot to handle the directory selection via dialog.
save | Public slot to save the Application configuration.

#### ApplicationPage (Constructor)

ApplicationPage()

Constructor

#### ApplicationPage.on_downloadDirButton_clicked

on_downloadDirButton_clicked()

Private slot to handle the directory selection via dialog.

#### ApplicationPage.save

save()

Public slot to save the Application configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up